Skip to main content
POST
/
v3
/
slice-query
/
fetch
Fetch slice query
curl --request POST \
  --url https://{host}/v3/slice-query/fetch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "query": "<string>",
  "sample": true,
  "max_rows": 5000,
  "columns": [
    "<string>"
  ]
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "metadata": {
      "is_slice": true,
      "columns": [
        "<string>"
      ],
      "dtypes": [
        "<string>"
      ],
      "env": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "model": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "version": "<string>"
      }
    },
    "rows": [
      [
        "<string>"
      ]
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model_id
string<uuid>
required
query
string
required
sample
boolean
max_rows
integer
Required range: 1 <= x <= 10000
columns
string[]

Response

Slice query data fetch successful

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object